 {  $E+,$M+ }
PROGRAM REALI ( INPUT, OUTPUT);
CONST
        TITLES = 70;
VAR
        r1, r2, r3, r4, r5   : char;
        r6, r7, r8, r9, r10  : char;
        t1 : String[titles];
(***********************************************************)
Procedure wri( title : string );
        Begin
                Writeln(title);
        end;
(***********************************************************)
Procedure wr;
        Begin
                Writeln;
        end;
(***********************************************************)
Procedure char_out(device,dout:integer);
        BIOS(3);
(***********************************************************)
Procedure clear_screen;
        Begin
                char_out(2,$1b);
                Char_out(2,ord('E'));
        End;
(**********************************************************)
Procedure rvon;
        Begin
                char_out(2,$1b);
                char_out(2,ord('p'));
        End;
(**********************************************************)
Procedure rvoff;
        Begin
                char_out(2,$1b);
                char_out(2,ord('q'));
        End;
(**********************************************************)
Procedure ONE;
BEGIN
 wri('                         HOME MORTGAGE');
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wri('                        *-*-* DEMO *-*-*');
 wr;
 wr;
 wr;
 wri('Future version will have a menu with alot of options to select');
 wri('from.  This version ONLY explains briefly the different types of');
 wri('mortgages for those interested in buying a house');
 wr;
 wr;
 wr;
 wr;
 wr;
 wri('Portions of this product are Copyright (c) 1986, OSS and CCD.');
 wri('                     Used by Permission of OSS');
 wr;
 wri('                       Copyright (c) DCS 1986');
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r1);
 CLEAR_SCREEN;
end;
Procedure TWO;
begin
 wr;
 wr;
 wri('                 MORTGAGE  INFORMATION');
 wr;
 wri('In this section, we will discuss the various type of MORTGAGES');
 wri('that are available.  We will discuss the FIXED RATE, BUYDOWN, ');
 wri('GPM (Graduated Payment Mortgage), GEM (Growing Equity Mortgage');
 wri('and various government mortgages such as VA and FHA.         ');
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r2);
 CLEAR_SCREEN;
end;
Procedure THREE;
begin
 wri('                       FIXED RATE MORTGAGES                   ');
 wr;
 wri('A fixed rate mortgage is one where the interest rate, and     ');
 wri('consequently the monthly payment, remain the same for the     ');
 wri('life of the loan.  Generally, the only time the monthly  pay- ');
 wri('ment will change is if your taxes or insurance change.  Those ');
 wri('payments are usually made out of a non-interest bearing account');
 wri('and are included (1/12 of the years estimate) in your payment.');
 wr;
 wri('Some lenders will let you be responsible for the tax and      ');
 wri('insurance payments, although some will require the escrow     ');
 wri('account.');
 wr;
 wri('Fixed rate mortgages are best for buyers on fixed incomes, those');
 wri('that do not anticipate an increase in salary, and those who want');
 wri('to know that their interest rate will never change.');
 wr;
 wri('A dis-advantage to the fixed rate mortgage is that if interest');
 wri('rates drop, you cannot take advantage of the drop without the');
 wri('expense of re-financing your loan (which can be quite expensive).');
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r3);
 CLEAR_SCREEN;
end;
Procedure FOUR;
begin
 wri('                   BUYDOWN MORTGAGES');
 wr;
 wri('The buydown mortgage is one where (usually) the seller or builder');
 wri('subsides the mortgage by paying the lender a charge to "buydown"');
 wri('the interest rate of the mortgage.  Usually, the rate is bought ');
 wri('down over a period from 1 to 5 years after which you then pay ');
 wri('the original rate.  As an example, suppose the bank has a fixed');
 wri('rate mortgage for 12%.  It can be bought down to 9% in year 1, ');
 wri('10% in year 2, 11% in years 3 & 4, and after that you pay the ');
 wri('rate of 12%.  The rate was always 12%, it was just bought down');
 wri('for a couple of years.  There are specific guidelines used in the');
 wri('buydown mortgage.  It cannot be bought down more than 3% in any ');
 wri('given year, etc.  ');
 wr;
 wri('The advantage is that you qualify under the bought down rate, ');
 wri('which means you can afford more of a house.  The Dis-advantage');
 wri('is that at the end of the subsidy (buydown period), your payments');
 wri('are higher than at the beginning of the loan.  This type of loan');
 wri('is suitable for those with rising incomes or those planning on');
 wri('moving before the subsidy ends.');
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r4);
 CLEAR_SCREEN;
end;
Procedure FIVE;
begin
 wri('                     Graduated Payment Mortgage (GPM)');
 wr;
 wri('The GPM mortgage payments start at a low amount and then increase');
 wri('at a set amount for a period of years (usually 5 to 7).  You  ');
 wri('qualify at the lower interest rate.  However, you usually accrue');
 wri('NEGATIVE equity, which means at the end of year 1 you owe more ');
 wri('than you originally borrowed.  The reason for that is, say your');
 wri('note rate is 12%.  You  start paying at a figure based on 10% as');
 wri('an example.  That leaves a negative 2% that you didn''t pay which');
 wri('is ADDED to your loan.  Eventually, due to the increase in pay-');
 wri('ments you make each year, you will start decreasing the loan ');
 wri('amount (usually around year 5). ');
 wr;
 wri('The advantage is that you can afford more of a house, the dis-');
 wri('advantage is that it will be awhile before you make  progress');
 wri('on decreasing the loan amount');
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r5);
 CLEAR_SCREEN;
end;
Procedure SIX;
begin
 wri('                   ADJUSTABLE RATE MORTGAGE (ARM)');
 wr;
 wri('ARM''s are mortgages where the interest rate changes on a periodic');
 wri('basis, generally once a year.  Due to abuses in the past by ');
 wri('lenders, most now carry safety guards such as "CAPS".  The CAP');
 wri('is the maximum change in interest rate that can be changed  per');
 wri('adjustment period.  Usually, most caps state that the rate cannot');
 wri('change more than 2% in any given period (usually each year) and');
 wri('a total of 5% over the life of the loan.  BE SURE TO FIND OUT');
 wri('what caps are on the loan!  And, these ARM''s base their rate');
 wri('on some type of index (such as the 90 day Treasury bond rate, or');
 wri('COST OF FUNDS index) and they tack on a MARGIN amount (which is');
 wri('their profit) on top  of that rate.  Therefore, if the base ');
 wri('is a Treasury index of 9% and margin is 3%, you will pay 12%.');
 wr;
 wri('The advantage to this type of loan is that as rates FALL, you');
 wri('take advantage of the drop (where a fixed rate does not).  The');
 wri('DIS-advantage is that as rates RISE, so does your payment.');
 wr;
 wr;
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r6);
 CLEAR_SCREEN;
end;
Procedure SEVEN;
begin
 wri('                   GROWING EQUITY MORTGAGE');
 wr;
 wri('The GEM mortgage is a mortgage with a fixed rate of interest but');
 wri('the payments increase usually 5 to 7 percent a year.  This ');
 wri('increase is applied to the principle therefore you pay off the');
 wri('loan in a shorter period (usually 12 to 20 years) rather than');
 wri('paying for the typical 30 years.  This results in a tremendous');
 wri('amount of savings in interest.  ');
 wr;
 wri('Those with rising incomes find this type of mortgage attractive');
 wri('because you can own your home in half the time.  The dis-');
 wri('advantage is you have less each year to write off for taxes.');
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r7);
 CLEAR_SCREEN;
end;
Procedure EIGHT;
begin
 wri('                   GOVERNMENT MORTGAGES (FHA/VA)');
 wr;
 wri('FHA/VA mortgages are generally alittle easier to get because the');
 wri('lender is insured for part of the loss (should you be foreclosed');
 wri('on).  The qualification process is different also.  Under most ');
 wri('conventional programs, your loan amount CANNOT exceed 28% (some');
 wri('go alittle higher). Under the Gov''t programs, they usually figure');
 wri('your house payment using the RESIDUAL INCOME method.  What they');
 wri('do is take your GROSS income and subtract Federal Taxes/ State');
 wri('taxes, a certain amount for maintenance and usually $300 for the');
 wri('1st adult and $150 for each other dependant.  Whatever is left ');
 wri('over (after subtracting monthly payments such as your car payment)');
 wri('is available for a house payment.  Therefore, you can allocate ');
 wri('35%, 38%, 40%, or higher for the house.  ');
 wr;
 wri('A big advantage is that all government loans are assumable. With');
 wri('VA loans you typically do NOT need a down payment.  With FHA you');
 wri('must put down at least 5% of the first $25,000 and 3% of the rest');
 wri('up to the maxminum loan amount.  With VA loans, the SELLER  pays');
 wri('the loan points.  With FHA either the BUYER or SELLER can pay ');
 wri('the points or they can split the points any way they desire.');
 wr;
 wr;
 RVON;
 wri('Hit any key to continue');
 RVOFF;
 read(r8);
 CLEAR_SCREEN;
end;
Procedure  NINE;
begin
 wr;
 wr;
 wr;
 wri('This ends our discussion of the various typical loan types that');
 wri('are available.  ');
 wr;
 wri('One last thing, it is YOUR hard earned money that you are spending');
 wri('for that "DREAM HOUSE".  Shop around for the best deal.  Do not ');
 wri('be afraid of the lenders.  They want your business.  That is one');
 wri('avenue that they use to make money.  They advertise for loans ');
 wri('because they want to make them.  However, they have auditors and');
 wri('stockholders, etc so they will try not to make bad loans!');
 wr;
 wri('Be truthful and honest with them.  If you had some bad times, ');
 wri('explain it to them BEFORE the credit report is ordered. Be ');
 wri('UPFRONT with them.  Some do understand.');
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 wr;
 RVON;
 wri('Hit any key to return to END! ');
 RVOFF;
 read(r9);
 CLEAR_SCREEN;
end;
BEGIN
END.
